outputs = { nixpkgs, home-manager, ... }:
  let
    system = "x86_64-linux";
  in {
    nixosConfigurations = {
      laptop = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [
          ./hosts/laptop.nix
          ./modules/common.nix
          ./modules/hyprland.nix
          ./modules/networking.nix
          ./modules/user.nix
        ];
      };
      desktop = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [
          ./hosts/desktop.nix
          ./modules/common.nix
          ./modules/hyprland.nix
          ./modules/networking.nix
          ./modules/user.nix
        ];
      };
      vm = nixpkgs.lib.nixosSystem {
        inherit system;
        modules = [
          ./hosts/vm.nix
          ./modules/common.nix
          ./modules/hyprland.nix
          ./modules/networking.nix
          ./modules/user.nix
        ];
      };
    };
  };
